Summary: Programs for mounting and unmounting filesystems.
Name: mount
Exclusiveos: Linux
Version: 2.10q
Release: 1.0.5
Copyright: GPL
Group: System Environment/Base
Source: ftp://ftp.win.tue.nl/pub/linux/utils/util-linux-%{version}.tar.gz
Patch0: util-linux-2.10q-loman.patch
Patch1: util-linux-2.10q-nonfs.patch
Patch2: util-linux-2.10m-stdio.patch
BuildRoot: /var/tmp/%{name}-root
Prereq: mktemp /bin/awk textutils fileutils

%description
The mount package contains the mount, umount, swapon and swapoff
programs. The mount and umount commands attach and detach a filesystem on 
some device to your system's file tree.  Swapon and swapoff specify and 
disable devices and files for paging and swapping.

%package -n losetup
Summary: Programs for setting up and configuring loopback devices.
Group: System Environment/Base

%description -n losetup
The Guardian Digital Linux Lockbox supports a special block device 
called the loop device, which maps a normal file onto a virtual block 
device.  This allows for the file to be used as a "virtual file system"
inside another file.  Losetup is used to associate loop devices with 
regular files or block devices, to detach loop devices and to query 
the status of a loop device.

%prep
%setup -q -n util-linux-%{version}
%patch0 -p0 -b .loman
%patch1 -p1 -b .nonfs
%patch2 -p1 -b .stdio

%build
./configure
sed "s/#define util_linux_version.*/#define util_linux_version \"mount-%{version}\"/" defines.h
cd mount

( cd ../lib; cc $RPM_OPT_FLAGS -c setproctitle.c )

make	LIB=../lib \
	BINDIR=/bin \
	SBINDIR=/sbin \
	MANDIR=%{_mandir} \
	all

%install
cd mount
rm -rf $RPM_BUILD_ROOT

CFLAGS="$RPM_OPT_FLAGS" make	LIB=../lib \
	BINDIR=$RPM_BUILD_ROOT/bin \
	SBINDIR=$RPM_BUILD_ROOT/sbin \
	MAN5DIR=$RPM_BUILD_ROOT%{_mandir}/man5 \
	MAN8DIR=$RPM_BUILD_ROOT%{_mandir}/man8 \
	INSTALLDIR="install -d -m 755" \
	INSTALLSUID="install -s -m 755" \
	INSTALLBIN="install -s -m 755" \
	INSTALLMAN="install -m 644" \
	install

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f /etc/fstab ] ; then
    # add owner mounting capability to appropriate devices
    TMP=$(mktemp /tmp/fstab.XXXXXX)
    if awk '
	($1 ~ /^\/dev\/fd[01]$/ || $2 ~ /^\/mnt\/cdrom$/) &&
        $4 !~ /user/ && $4 !~ /owner/ {
            if (match($4, "^defaults$"))
                printf "%%-23s %%-23s %%-7s %%-15s %%s %%s\n", $1, $2, $3, "owner", $5, $6
            else
                printf "%%-23s %%-23s %%-7s %%-15s %%s %%s\n", $1, $2, $3, "owner," $4, $5, $6
            next
	}
	{print ; next}
    ' /etc/fstab > $TMP ; then
########################################
# 	changed to use "sum" instead of "cmp"
#	to be able to not have to load "diffutils" rpm
#	Pete O'Hara - 05/31/2000
##	if ! cmp -s /etc/fstab $TMP ; then 
##	    cat $TMP > /etc/fstab
##	fi
########################################
	SUM1=`sum /etc/fstab`
	SUM2=`sum $TMP`

	if test "$SUM1" != "$SUM2" ; then
		cat $TMP > /etc/fstab
	fi
	
	rm $TMP
    else
	echo "attempt to edit fstab in mount package failed" 1>&2
    fi
fi

%files
%define _root_sbindir   /sbin
%define _root_libdir    /%{_lib}

%defattr(-,root,root)
%attr(0750,root,root) %{_root_sbindir}/swapon
%attr(0750,root,root) %{_root_sbindir}/swapoff
%doc %{_mandir}/man5/fstab.5*
%doc %{_mandir}/man8/mount.8*
%doc %{_mandir}/man8/swapoff.8*
%doc %{_mandir}/man8/swapon.8*
%doc %{_mandir}/man8/umount.8*
%attr(0700,root,root)	/bin/mount
%attr(0700,root,root)	/bin/umount

%files -n losetup
%defattr(-,root,root)
%doc %{_mandir}/man8/losetup.8*
%attr(0750,root,root)	%{_root_sbindir}/losetup

%changelog
* Fri Dec 01 2000 Dave Wreski <dave@guardiandigital.com>
- fix patch problems with 2.10q. Argh.

* Mon Nov 27 2000 Dave Wreski <dave@guardiandigital.com>
- simplified description wording
- verified correct location of binaries

* Sat Oct 28 2000 Dave Wreski <dave@guardiandigital.com>
- added RH longlabel, losetup and alpha hack patches
- removed nfs support from mount/umount

* Wed May 31 2000 Pete O'Hara <pete@guardiandigital.com>
- change this RPM to use "sum" instead of "cmp" so as
	not to have to install "diffutils" RPM
- update to 2.10m
- removed NFS support
- removed suid and world access to  mount, umount 
- removed world access to losetup
